<div class="mb-1 d-flex justify-content-end">
    <button class="btn btn-outline-primary me-3" (click)="goBack()"><i class="bi bi-arrow-left-circle"></i> Volver</button>
  </div>

<h4 class="font-medium mb-3">Crear Cronograma</h4>

<div class="row">
    <div class="col-12">
      <div class="card">
        <div class="card-body">
            <form [formGroup]="formCronograma" (ngSubmit)="sendCronograma()">
                <div class=" my-3">
                    <label >Días:</label>
                    <label class="p-2" *ngFor="let dia of dias">
                      <input type="checkbox" (change)="diasSeleccionados(dia,$event.target.checked)" class="form-checkbox h-5 w-5 text-indigo-600"><span class="ml-2 text-gray-700"> {{dia}}</span>
                    </label>
                  </div>
                  <div class="row my-3">
                    <div class="col-2">
                        <label style="margin-right: 20px;" >Hora:</label>
                        <input type="time" formControlName="hora" name="hora" >
                    </div>
                  </div>
                <div class="row my-3">
                    <div class="col-6">
                        <label style="margin-right: 20px;" >Medicamento:</label>
                        <input type="text" formControlName="medicamento" name="medicamento" >
                    </div>
                </div>
        
              <label>Pacientes</label>
                  <div class="col-12">
                      <select name="idUsuarioDestino" formControlName="idUsuarioDestino" class="form-select">
                      <option *ngFor="let paciente of listaPacientes" [value]="paciente.id" >{{paciente.nombre}} {{paciente.apellido}}</option>
                      </select>
                  </div>
          
              <div class="d-grid gap-2 d-md-flex justify-content-md-end">
                  <button type="submit" class="btn btn-primary mt-3" [disabled]="formCronograma.invalid">Crear cronograma</button>
              </div>
              
          </form>
            
        </div>
        </div>
      </div>
    </div>
    
